## hypercorn 0.13.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = Hypercorn
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## hypercorn 0.9.4

=== debian/changelog ===
hypercorn (0.9.4-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 17 Apr 2020 13:36:29 +0200

hypercorn (0.9.2-1) unstable; urgency=low

  * Initial upload (Closes: #953886).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 15 Mar 2020 12:33:24 +0100

=== debian/control ===
Source: hypercorn
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all (>= 3.7),
 python3-setuptools,
 python3-h11,
 python3-h2 (>= 3.1.0),
 python3-priority,
 python3-toml,
 python3-typing-extensions,
 python3-asynctest,
 python3-hypothesis,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
# python3-pytest-trio,
 python3-trio (>= 0.11.0),
 python3-uvloop,
 python3-wsproto (>= 0.14.0)
X-Python3-Version: >= 3.7
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.5.0
Homepage: https://gitlab.com/pgjones/hypercorn
Vcs-Browser: https://salsa.debian.org/python-team/modules/hypercorn
Vcs-Git: https://salsa.debian.org/python-team/modules/hypercorn.git

Package: python3-hypercorn
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-trio (>= 0.11.0),
 python3-uvloop
Description: ASGI Server based on Hyper libraries and inspired by Gunicorn
 Hypercorn is an ASGI web server based on the sans-io hyper, h11, h2,
 and wsproto libraries and inspired by Gunicorn. Hypercorn supports
 HTTP/1, HTTP/2, WebSockets (over HTTP/1 and HTTP/2), ASGI/2, and ASGI/3
 specifications. Hypercorn can utilise asyncio, uvloop, or trio worker
 types.
 .
 Hypercorn can optionally serve the current draft of the HTTP/3
 specification using the aioquic library.
 .
 Hypercorn was initially part of Quart before being separated out into
 a standalone ASGI server. Hypercorn forked from version 0.5.0 of Quart.

## hypercorn 0.10.1

=== debian/changelog ===
hypercorn (0.10.1-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release (Closes: #964750).

  [ Peter Michael Green ]
  * Update build dependencies, remove build dependency on python3-asynctest
    and add build dependency on python3-all-dev (>= 3.8.2-3) | python3-mock.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 11 Jul 2020 15:14:18 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-priority,
  python3-toml,
  python3-typing-extensions,
- python3-asynctest,
+ python3-all-dev (>= 3.8.2-3) | python3-mock,
  python3-hypothesis,
  python3-pytest,
  python3-pytest-asyncio,

## hypercorn 0.11.1

=== debian/changelog ===
hypercorn (0.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 14 Oct 2020 15:38:53 +0200

hypercorn (0.11.0-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Add a dependency on python3-typing-extensions.

  [ Ondřej Nový ]
  * Update Maintainer field with new Debian Python Team contact address.
  * Update Vcs-* fields with new Debian Python Team Salsa layout.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 29 Sep 2020 09:24:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: hypercorn
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>
 Section: python
@@ -27,14 +27,15 @@
 Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.5.0
 Homepage: https://gitlab.com/pgjones/hypercorn
-Vcs-Browser: https://salsa.debian.org/python-team/modules/hypercorn
-Vcs-Git: https://salsa.debian.org/python-team/modules/hypercorn.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/hypercorn
+Vcs-Git: https://salsa.debian.org/python-team/packages/hypercorn.git
 
 Package: python3-hypercorn
 Architecture: all
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-typing-extensions,
 Suggests:
  python3-trio (>= 0.11.0),
  python3-uvloop

## hypercorn 0.11.2

=== debian/changelog ===
hypercorn (0.11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 26 Feb 2021 10:01:43 +0100

hypercorn (0.11.1-2) unstable; urgency=medium

  * Depend on h11 0.11.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 28 Oct 2020 19:43:46 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-python,
  python3-all (>= 3.7),
  python3-setuptools,
- python3-h11,
+ python3-h11 (>= 0.11.0),
  python3-h2 (>= 3.1.0),
  python3-priority,
  python3-toml,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = hypercorn
export PYBUILD_TEST_ARGS = --ignore=tests/trio

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check https://pypi.debian.net/Hypercorn/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Hypercorn/Hypercorn-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## hypercorn 0.13.2

=== debian/changelog ===
hypercorn (0.13.2-2) unstable; urgency=medium

  * Add an upstream patch to fix HTTP connection recycling bug.
  * Update copyright years.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 17 Feb 2022 12:33:03 +0100

hypercorn (0.13.2-1) unstable; urgency=medium

  * Switch to GitLab releases.
  * New upstream release.
  * Add an upstream setup.py to avoid messing around with pyproject.toml.
  * Ignore middleware tests as they unconditionally import trio.
  * Use dh-sequence-python3.
  * Bump debhelper from old 12 to 13.
  * Set field Upstream-Name in debian/copyright.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 06 Jan 2022 14:43:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all (>= 3.7),
  python3-setuptools,
  python3-h11 (>= 0.11.0),
@@ -25,7 +25,7 @@
  python3-wsproto (>= 0.14.0)
 X-Python3-Version: >= 3.7
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://gitlab.com/pgjones/hypercorn
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hypercorn
 Vcs-Git: https://salsa.debian.org/python-team/packages/hypercorn.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = hypercorn
export PYBUILD_TEST_ARGS = --ignore=tests/trio --ignore=tests/middleware

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean execute_before_dh_auto_configure:
	ln -sf debian/setup.py

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://gitlab.com/pgjones/hypercorn/-/tags .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## hypercorn 0.14.3

=== debian/changelog ===
hypercorn (0.14.3-2) unstable; urgency=medium

  * Build and ship documentation in python-hypercorn-doc package.

 -- Michael Fladischer <fladi@debian.org>  Sat, 01 Jul 2023 21:21:44 +0000

hypercorn (0.14.3-1) unstable; urgency=medium

  * New upstream release.
  * Upstream moved to github. Adapt URL where necessary.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Switch to poetry buildsystem.
  * Remove patches, included upstream.
  * Skip more tests due to missing pytest-trio package.
  * Set Rules-Requires-Root: no.
  * Remove X-Python3-Version field.
  * Bump Standards-Version to 4.6.2.
  * Add myself to d/copyright and as uploader.
  * Use help2man to provide a manpage for hypercorn.1.
  * Fix permissions for files in /usr/lib/python3.
  * Install testfiles using d/pybuild.testfiles.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Sat, 01 Jul 2023 09:39:41 +0000

hypercorn (0.13.2-3) unstable; urgency=medium

  * Team Upload.
  * Clean-up symlink after dh_auto_clean hook (Closes: #1005619)
  * Add patch to fix coroutine based tests errors

 -- Nilesh Patra <nilesh@debian.org>  Sun, 11 Dec 2022 12:46:04 +0000

=== debian/control ===
Source: hypercorn
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Michael Fladischer <fladi@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 help2man,
 pybuild-plugin-pyproject,
 python3-all (>= 3.7),
 python3-all-dev (>= 3.8.2-3) | python3-mock,
 python3-h11 (>= 0.11.0),
 python3-h2 (>= 3.1.0),
 python3-hypothesis,
 python3-poetry-core,
 python3-priority,
 python3-sphinx-rtd-theme,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-setuptools,
 python3-sphinx,
 python3-toml,
# python3-pytest-trio,
 python3-trio (>= 0.11.0),
 python3-typing-extensions,
 python3-uvloop,
 python3-wsproto (>= 0.14.0),
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/pgjones/hypercorn
Vcs-Browser: https://salsa.debian.org/python-team/packages/hypercorn
Vcs-Git: https://salsa.debian.org/python-team/packages/hypercorn.git
Rules-Requires-Root: no

Package: python-hypercorn-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: ASGI Server based on Hyper (Documentation)
 Hypercorn is an ASGI web server based on the sans-io hyper, h11, h2,
 and wsproto libraries and inspired by Gunicorn. Hypercorn supports
 HTTP/1, HTTP/2, WebSockets (over HTTP/1 and HTTP/2), ASGI/2, and ASGI/3
 specifications. Hypercorn can utilise asyncio, uvloop, or trio worker
 types.
 .
 Hypercorn can optionally serve the current draft of the HTTP/3
 specification using the aioquic library.
 .
 Hypercorn was initially part of Quart before being separated out into
 a standalone ASGI server. Hypercorn forked from version 0.5.0 of Quart.
 .
 This package contains the documentation.

Package: python3-hypercorn
Architecture: all
Depends:
 python3-typing-extensions,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-trio (>= 0.11.0),
 python3-uvloop,
Description: ASGI Server based on Hyper (Python3 version)
 Hypercorn is an ASGI web server based on the sans-io hyper, h11, h2,
 and wsproto libraries and inspired by Gunicorn. Hypercorn supports
 HTTP/1, HTTP/2, WebSockets (over HTTP/1 and HTTP/2), ASGI/2, and ASGI/3
 specifications. Hypercorn can utilise asyncio, uvloop, or trio worker
 types.
 .
 Hypercorn can optionally serve the current draft of the HTTP/3
 specification using the aioquic library.
 .
 Hypercorn was initially part of Quart before being separated out into
 a standalone ASGI server. Hypercorn forked from version 0.5.0 of Quart.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = hypercorn
export PYBUILD_TEST_ARGS = --ignore=tests/trio --ignore=tests/test_app_wrappers.py --ignore=tests/middleware/test_dispatcher.py

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_fixperms:
	find $(CURDIR)/debian/python3-hypercorn/usr/lib/python3 -type f -exec chmod 0644 {} \;

execute_before_dh_installman:
	PYTHONPATH=src help2man --no-discard-stderr -n "ASGI Server based on Hyper libraries and inspired by Gunicorn" $(CURDIR)/debian/python3-hypercorn/usr/bin/hypercorn >hypercorn.1

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$$(pybuild --print build_dir |awk '{print $$3}') python3 -m sphinx -b html -d $(CURDIR)/docs/.build/.doctrees -N $(CURDIR)/docs $(CURDIR)/debian/python-hypercorn-doc/usr/share/doc/python-hypercorn-doc/html
endif

execute_after_dh_clean:
	rm -rf $(CURDIR)/docs/.build

## hypercorn 0.14.4

=== debian/control ===
--- 
+++ 
@@ -17,12 +17,13 @@
  python3-hypothesis,
  python3-poetry-core,
  python3-priority,
- python3-sphinx-rtd-theme,
  python3-pytest,
  python3-pytest-asyncio,
  python3-pytest-cov,
+ python3-pytest-trio,
  python3-setuptools,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
  python3-toml,
 # python3-pytest-trio,
  python3-trio (>= 0.11.0),

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME = hypercorn
-export PYBUILD_TEST_ARGS = --ignore=tests/trio --ignore=tests/test_app_wrappers.py --ignore=tests/middleware/test_dispatcher.py
+export PYBUILD_TEST_ARGS = --ignore=tests/test_app_wrappers.py --ignore=tests/middleware/test_dispatcher.py
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## hypercorn 0.15.0

=== debian/changelog ===
hypercorn (0.15.0-1) unstable; urgency=medium

  * Add python3-aioquic to Suggests (Closes: #1042465).
  * New upstream version 0.15.0
  * Refresh patches.
  * Use local mermaid.js file instead of the CDN one to prevent a privacy
    breach.

 -- Michael Fladischer <fladi@debian.org>  Mon, 30 Oct 2023 20:12:16 +0000

hypercorn (0.14.4-1) unstable; urgency=medium

  * New upstream version 0.14.4
  * Add python3-pytest-trio to Build-Depends and enable trio tests.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Mon, 10 Jul 2023 11:30:00 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  help2man,
+ node-mermaid,
  pybuild-plugin-pyproject,
  python3-all (>= 3.7),
  python3-all-dev (>= 3.8.2-3) | python3-mock,
@@ -24,6 +25,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
+ python3-sphinxcontrib-mermaid,
  python3-toml,
 # python3-pytest-trio,
  python3-trio (>= 0.11.0),
@@ -43,6 +45,8 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Recommends:
+ node-mermaid,
 Description: ASGI Server based on Hyper (Documentation)
  Hypercorn is an ASGI web server based on the sans-io hyper, h11, h2,
  and wsproto libraries and inspired by Gunicorn. Hypercorn supports
@@ -65,6 +69,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
+ python3-aioquic,
  python3-trio (>= 0.11.0),
  python3-uvloop,
 Description: ASGI Server based on Hyper (Python3 version)

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 execute_before_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=$$(pybuild --print build_dir |awk '{print $$3}') python3 -m sphinx -b html -d $(CURDIR)/docs/.build/.doctrees -N $(CURDIR)/docs $(CURDIR)/debian/python-hypercorn-doc/usr/share/doc/python-hypercorn-doc/html
+	ln -s ../../../../../../nodejs/mermaid/dist/mermaid.js $(CURDIR)/debian/python-hypercorn-doc/usr/share/doc/python-hypercorn-doc/html/_static/js/mermaid.js
 endif
 
 execute_after_dh_clean:

## hypercorn 0.16.0

=== debian/changelog ===
hypercorn (0.16.0-1) unstable; urgency=low

  [ Alexandre Detiste ]
  * remove build dep on python3-mock: it's hybridized

  [ Michael Fladischer ]
  * New upstream version 0.16.0
  * Refresh patches.
  * Remove python3-all-dev from Build-Depends.
  * Drop minimum version requirement from python3-all in Build-Depends.
  * Use pybuild build_dir in PYTHONPATH for both help2man and sphinx so the
    installed version can be detected.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Thu, 11 Jan 2024 10:03:17 +0000

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
  help2man,
  node-mermaid,
  pybuild-plugin-pyproject,
- python3-all (>= 3.7),
- python3-all-dev (>= 3.8.2-3) | python3-mock,
+ python3-all,
  python3-h11 (>= 0.11.0),
  python3-h2 (>= 3.1.0),
  python3-hypothesis,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = hypercorn
export PYBUILD_TEST_ARGS = --ignore=tests/test_app_wrappers.py --ignore=tests/middleware/test_dispatcher.py

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_fixperms:
	find $(CURDIR)/debian/python3-hypercorn/usr/lib/python3 -type f -exec chmod 0644 {} \;

execute_before_dh_installman:
	PYTHONPATH=$$(pybuild --print build_dir --name hypercorn |head -n1 |awk -F ': ' '{print $$2}') help2man --no-discard-stderr -n "ASGI Server based on Hyper libraries and inspired by Gunicorn" $(CURDIR)/debian/python3-hypercorn/usr/bin/hypercorn >hypercorn.1

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$$(pybuild --print build_dir --name hypercorn |head -n1 |awk -F ': ' '{print $$2}') python3 -m sphinx -b html -d $(CURDIR)/docs/.build/.doctrees -N $(CURDIR)/docs $(CURDIR)/debian/python-hypercorn-doc/usr/share/doc/python-hypercorn-doc/html
	ln -s ../../../../../../nodejs/mermaid/dist/mermaid.js $(CURDIR)/debian/python-hypercorn-doc/usr/share/doc/python-hypercorn-doc/html/_static/js/mermaid.js
endif

execute_after_dh_clean:
	rm -rf $(CURDIR)/docs/.build

## hypercorn 0.17.3

=== debian/changelog ===
hypercorn (0.17.3-3) unstable; urgency=medium

  * Team Upload.
  * Drop python3-toml build-dep

 -- Alexandre Detiste <tchet@debian.org>  Sun, 27 Jul 2025 14:11:55 +0200

hypercorn (0.17.3-2) unstable; urgency=medium

  * Team Upload.
  * Partially Revert "Use local mermaid.js file instead of the
    CDN one to prevent a privacy breach." (Closes: #1057351)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 26 Oct 2024 21:40:58 +0530

hypercorn (0.17.3-1) unstable; urgency=low

  * New upstream version 0.17.3 (Closes: #1073379).
  * Bump Standards-Version to 4.7.0.
  * Add python3-https to Build-Depends, required by tests.
  * Disable network-dependant test during build.

 -- Michael Fladischer <fladi@debian.org>  Thu, 11 Jul 2024 12:18:47 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  help2man,
- node-mermaid,
  pybuild-plugin-pyproject,
  python3-all,
  python3-h11 (>= 0.11.0),
  python3-h2 (>= 3.1.0),
+ python3-httpx,
  python3-hypothesis,
  python3-poetry-core,
  python3-priority,
@@ -25,14 +25,13 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib-mermaid,
- python3-toml,
 # python3-pytest-trio,
  python3-trio (>= 0.11.0),
  python3-typing-extensions,
  python3-uvloop,
  python3-wsproto (>= 0.14.0),
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/pgjones/hypercorn
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hypercorn
 Vcs-Git: https://salsa.debian.org/python-team/packages/hypercorn.git
@@ -44,8 +43,6 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
-Recommends:
- node-mermaid,
 Description: ASGI Server based on Hyper (Documentation)
  Hypercorn is an ASGI web server based on the sans-io hyper, h11, h2,
  and wsproto libraries and inspired by Gunicorn. Hypercorn supports

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = hypercorn
export PYBUILD_TEST_ARGS = --ignore=tests/test_app_wrappers.py --ignore=tests/middleware/test_dispatcher.py -k "not test_keep_alive_max_requests_regression"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_fixperms:
	find $(CURDIR)/debian/python3-hypercorn/usr/lib/python3 -type f -exec chmod 0644 {} \;

execute_before_dh_installman:
	PYTHONPATH=$$(pybuild --print build_dir --name hypercorn |head -n1 |awk -F ': ' '{print $$2}') help2man --no-discard-stderr -n "ASGI Server based on Hyper libraries and inspired by Gunicorn" $(CURDIR)/debian/python3-hypercorn/usr/bin/hypercorn >hypercorn.1

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$$(pybuild --print build_dir --name hypercorn |head -n1 |awk -F ': ' '{print $$2}') python3 -m sphinx -b html -d $(CURDIR)/docs/.build/.doctrees -N $(CURDIR)/docs $(CURDIR)/debian/python-hypercorn-doc/usr/share/doc/python-hypercorn-doc/html
endif

execute_after_dh_clean:
	rm -rf $(CURDIR)/docs/.build

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/pgjones/hypercorn/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
